View Issue Details

IDProjectCategoryView StatusLast Update
0026747mantisbtplug-inspublic2020-03-15 15:23
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026747: No equivalent to lang_get_defaulted() in plugin_api()
Description

Plugin API provides plugin_lang_get(), pairing with lang_get(), but there is no plugin_lang_get_defaulted() equivalent to lang_get_defaulted().

This was identified by @obmsch as an issue in Source Integration plugin https://github.com/mantisbt-plugins/source-integration/pull/215 and the function was implemented locally, but it makes sense to define it in Core.

TagsNo tags attached.

Relationships

related to 0021201 closeddregad lang_get_defaulted does not search for fallback language 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master d92b78fa

2020-03-15 13:23:27

dregad

Details Diff
New plugin_lang_get_defaulted() API function

Plugin API provides plugin_lang_get(), pairing with lang_get(), but
there was no equivalent to lang_get_defaulted() in Plugin API.

Fixes 0026747
Affected Issues
0026747
mod - core/plugin_api.php Diff File

Issue History

Date Modified Username Field Change
2020-02-26 13:43 dregad New Issue
2020-02-26 13:43 dregad Status new => assigned
2020-02-26 13:43 dregad Assigned To => dregad
2020-03-03 10:25 dregad Relationship added related to 0021201
2020-03-15 13:23 dregad Changeset attached => MantisBT master d92b78fa
2020-03-15 13:23 dregad Status assigned => resolved
2020-03-15 13:23 dregad Resolution open => fixed
2020-03-15 13:23 dregad Fixed in Version => 2.24.0
2020-03-15 15:23 vboctor Status resolved => closed